<%= File.read(File.join File.dirname(__FILE__), 'header.html.erb') %>

<div class="container col-sm-3" id="loginFormContainer">
  <form class="form-signin" id="loginForm">
    <h4 class="form-signin-heading text-center" style="color:grey;">InnGame</h4>
    <div class="input-group margin-bottom-sm">
      <input type="text" id="input-email" class="form-control" placeholder="email">
    </div>
    <div class="input-group">
      <input type="password" id="input-password" class="form-control" placeholder="password" required>
    </div>
    <div id="buttons-div" class="clearfix">
      <button class="btn btn-outline-secondary" onclick="login()" id="loginBtn">Login</button>
      <button class="btn btn-outline-secondary" onclick="register()" id="registerBtn">Register</button>
    </div>
    <p style="display:none;" id="feedback">Invalid username or password</p>
  </form>
</div> <!-- /container -->
<style media="screen">
  #buttons-div > button {
    width: 100%;
    float: left;
    clear: both;
  }
</style>
<script>
  function login() {
    document.getElementById('feedback').style.display = 'none';
    var email = document.getElementById('input-email').value;
    var pass = document.getElementById('input-password').value;

    $.ajax({
      type: 'POST',
      url: '../../session',
      contentType: 'application/json',
      headers: { 'Content-Type' : 'application/json' },
      data: JSON.stringify({email: email, password: pass}),
      success: loginSuccess,
      error: loginError
    });
  }

  function register() {
    document.getElementById('feedback').style.display = 'none';
    var email = document.getElementById('input-email').value;
    var pass = document.getElementById('input-password').value;

    $.ajax({
      type: 'POST',
      url: '../../register',
      contentType: 'application/json',
      headers: { 'Content-Type' : 'application/json' },
      data: JSON.stringify({email: email, password: pass}),
      success: loginSuccess,
      error: loginError
    });
  }

  function loginSuccess(data) {
    document.cookie = "userAuthToken="+data.authentication_token+";";
    window.location.href = '/overview';
  }
  function loginError(data) {
    var feedback = document.getElementById('feedback');
    feedback.style.display = 'block';
    feedback.style.color = '#ff6319';
  }

  window.onload = function() {
    $('#loginForm').on('submit', function(e){ e.preventDefault(); });
  }
</script>
<%= File.read(File.join File.dirname(__FILE__), 'footer.html.erb') %>
